com.sleepycat.db

## Class TransactionStats.Active

- java.lang.Object
- - com.sleepycat.db.TransactionStats.Active

Enclosing class:
  TransactionStats

    public static class TransactionStats.Active
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getGId()` Return the transaction's Global ID, if the transaction was prepared using `Transaction.prepare(byte[])`.
`LogSequenceNumber` `getLsn()` The log sequence number of the transaction's first log record.
`int` `getMultiversionRef()` The number of buffer copies created by this transaction that remain in cache.
`java.lang.String` `getName()` The transaction name, including the thread name if available.
`int` `getParentId()` The transaction ID of the parent transaction (or 0, if no parent).
`int` `getPid()` The process ID of the process that owns the transaction.
`int` `getPriority()` This transaction's deadlock resolution priority.
`LogSequenceNumber` `getReadLsn()` The log sequence number of reads for snapshot transactions.
`int[]` `getSliceTxns()` An array of transaction ids of slices' active subordinate transactions.
`int` `getTxnId()` The transaction ID of the transaction.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getTxnId

    public int getTxnId()

The transaction ID of the transaction.

Returns:
  the transaction ID of the transaction

#### getParentId

    public int getParentId()

The transaction ID of the parent transaction (or 0, if no parent).

Returns:
  the transaction ID of the parent transaction (or 0, if no parent)

#### getPid

    public int getPid()

The process ID of the process that owns the transaction.

Returns:
  the process ID of the process that owns the transaction

#### getLsn

    public LogSequenceNumber getLsn()

The log sequence number of the transaction's first log record.

Returns:
  the log sequence number of the transaction's first log record

#### getReadLsn

    public LogSequenceNumber getReadLsn()

The log sequence number of reads for snapshot transactions.

Returns:
  the log sequence number of reads for snapshot transactions

#### getMultiversionRef

    public int getMultiversionRef()

The number of buffer copies created by this transaction that remain in cache.

Returns:
  the number of buffer copies created by this transaction that remain in cache

#### getPriority

    public int getPriority()

This transaction's deadlock resolution priority.

Returns:
  this transaction's deadlock resolution priority

#### getGId

    public byte[] getGId()

Return the transaction's Global ID, if the transaction was prepared using `Transaction.prepare(byte[])`. Otherwise, return an undefined value.

Returns:
  the transaction's global id

#### getName

    public java.lang.String getName()

The transaction name, including the thread name if available.

Returns:
  the transaction name, including the thread name if available

#### getSliceTxns

    public int[] getSliceTxns()

An array of transaction ids of slices' active subordinate transactions.

Returns:
  transaction ids of slices' active subordinate transactions

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`